import {EventEmitter2} from 'eventemitter2';
import * as Immutable from 'immutable';

import {Chat} from './Chat';

export interface PushConfig {
	jid: string;
	type: 'apn' | 'fcm' | 'web-push';
	token: string;
}

export declare class ChatManager {
	emitter: EventEmitter2;
	createChat(name?: string, subject?: string): Promise<Chat>;
	disablePushNotifications(): Promise<void>;
	enablePushNotifications(): Promise<void>;
	getChats(): Immutable.List<Chat>;
	getConferenceChats(): Immutable.List<Chat>;
	getSupportChats(): Immutable.List<Chat>;
	getGroupChat(id: string): Chat | undefined;
	getIndividualChat(participant: string): Chat;
	setPushConfig(config: PushConfig): void;
	sync(): Promise<void>;
	createSupportChat(context?: Record<string, string>): Promise<Chat>;
}
