import {EventEmitter2} from 'eventemitter2';

import {FileUpload} from './FileUpload';

export declare class FileUploadManager {

	emitter: EventEmitter2;
	/**
	 * Aborts a currently in progress file upload.
	 */
	abort(fileUpload: FileUpload): Promise<void>;

	/**
	 * Starts uploading a new file.
	 */
	create(file: File): Promise<string>;

	/**
	 * Returns an immutable map with file uploads.
	 */
	getFileUploads(): Map<string, FileUpload>;

	/**
	 * Removes a file upload from the list.
	 */
	remove(fileUpload: FileUpload): void;

	waitForEnd(id: any): any;
}
