import { Observable } from 'rxjs';
import { WacProxy } from '../wac-proxy/WacProxy';
import { VoiceMailDTO } from '../wac-proxy/wac-stack/VoiceMailService';
export declare class VoiceMailManager {
    private voiceMailService;
    /**
     * Emits an object with the counts of new and all messages
     */
    messages$: Observable<VoiceMailDTO>;
    constructor(wacStack: WacProxy);
    /**
     * Starts the subscription to the update of message values
     */
    subscribe(): Promise<void>;
    /**
     * Stops the subscription to the update of message values
     */
    unsubscribe(): Promise<void>;
}
