import { WapiEvent } from '@quobis/wapi-client';
export interface ConferenceLogEntryDto {
    readonly roomId: string;
    readonly finishedAt: number;
    readonly createdAt: number;
    readonly invites: readonly ConferenceLogInviteDto[];
    readonly participants: readonly ConferenceLogParticipantDto[];
    readonly transfers: readonly ConferenceLogTransferDto[];
    readonly state: 'finished';
    readonly domains: readonly string[];
    readonly id: string;
}
export interface ConferenceLogInviteDto {
    readonly id: string;
    readonly from: string;
    readonly to: string;
    readonly candidates: Readonly<Array<{
        address: string;
        endReason: 200 | 404 | 487 | 603;
    }>>;
    readonly state: 'ACCEPTED' | 'DECLINED_BY_CREATOR' | 'DECLINED_BY_TIMEOUT' | 'DECLINED';
    readonly group: boolean;
    readonly inviteRequest: false;
    readonly mediatypes: {
        audio: boolean;
        video: boolean;
    };
    readonly error: 200 | 404 | 487 | 603;
}
export interface ConferenceLogParticipantDto {
    address: string;
    createdAt: number;
    finishedAt: number;
    sessionId: string;
}
export interface ConferenceLogTransferDto {
    id: string;
    from: string;
    to: string;
    state: 'DECLINED' | 'INVITED';
    mediatypes: {
        audio: boolean;
        video: boolean;
        screen: boolean;
    };
    roomId: string;
    idInvite: string;
}
export interface ConferenceLogEntryEventDto extends WapiEvent {
    method: 'POST';
    body: ConferenceLogEntryDto;
}
export interface MissedCallEventDto extends WapiEvent {
    method: 'PUT';
    body: {
        items: readonly MissedCallDto[];
    };
}
export interface MissedCallDto {
    readonly id: string;
}
