import { AddressBookEvent, AddressBookType, ContactDto, EmailDto, PhoneDto } from './types';
export declare class ContactDtoBuilder {
    private id;
    private name;
    private emails;
    private phones;
    private associatedUserId?;
    static create({ id }?: {
        id?: string | undefined;
    }): ContactDtoBuilder;
    private constructor();
    withEmails(emails: EmailDto[]): ContactDtoBuilder;
    withPhones(phones: PhoneDto[]): ContactDtoBuilder;
    withAssociatedUserId(associatedUserId: string): ContactDtoBuilder;
    build(): ContactDto;
}
export declare class AddressBookEventBuilder {
    private method?;
    private body?;
    static create(): AddressBookEventBuilder;
    private constructor();
    withMethod(method: AddressBookEvent['method']): AddressBookEventBuilder;
    withBody(addressBookId: string, addressBookType: AddressBookType, contact: ContactDto): AddressBookEventBuilder;
    build(): AddressBookEvent;
}
