import { WapiEvent } from '@quobis/wapi-client';
export declare enum AddressTypeDto {
    HOME = "home",
    WORK = "work",
    OTHER = "other"
}
export type PhoneDto = Readonly<{
    type: AddressTypeDto;
    value: string;
    primary: boolean;
}>;
export type EmailDto = Readonly<{
    type: AddressTypeDto;
    value: string;
    primary: boolean;
}>;
export type ContactDto = Readonly<{
    id: string;
    name: string;
    favorite?: boolean;
    phones: readonly PhoneDto[];
    emails: readonly EmailDto[];
    associatedUserId?: string;
}>;
export type AddressBooksQuery = Readonly<{
    contacts: boolean;
    domain: boolean;
    groups: boolean;
    phonebooks: boolean;
    static: boolean;
    azureOrgContacts: boolean;
    azureOrgUsers: boolean;
    azurePersonalContacts: boolean;
}>;
export declare enum AddressBookType {
    CONTACTS = "contacts",
    DOMAIN = "domain",
    GROUPS = "groups",
    PHONEBOOKS = "phonebooks",
    STATIC = "static",
    AZURE_ORG_CONTACTS = "azureOrgContacts",
    AZURE_ORG_USERS = "azureOrgUsers",
    AZURE_PERSONAL_CONTACTS = "azurePersonalContacts"
}
export type AddressBook = Readonly<{
    id: string;
    name: string;
    type: AddressBookType;
    contacts: readonly ContactDto[];
}>;
export type AddressBookEventBody = Readonly<{
    addressBookId: string;
    addressBookType: AddressBookType;
    contact: ContactDto;
}>;
export interface AddressBookEvent extends WapiEvent {
    method: 'DELETE' | 'POST' | 'PUT';
    body: AddressBookEventBody;
}
