import { Immutable } from 'immer';
export type GroupDto = Immutable<{
    groupId: string;
    name: string;
    participants: readonly string[];
    owner: {
        id: string;
    };
    chatId: string;
    ringingStrategy: {
        type: 'sequential' | 'simultaneous';
        properties?: {
            delay: number;
            steps: number;
        };
    };
}>;
export type GroupEventDto = Immutable<{
    path: '/usersGroup';
    method: 'DELETE';
    body: {
        groupId: string;
    };
} | {
    path: '/usersGroup';
    method: 'POST' | 'PUT';
    body: GroupDto;
}>;
